Description: fix a crash when creating a database outside of allowed paths
 firebird.conf/DatabaseAccess must be 'None' or 'Restricted'
 Fixed upstream in huge http://sourceforge.net/p/firebird/code/57489/
Author: Damyan Ivanov <dmn@debian.org>
Bug: http://tracker.firebirdsql.org/browse/CORE-3996

--- a/src/jrd/jrd.cpp
+++ b/src/jrd/jrd.cpp
@@ -1985,7 +1985,7 @@ ISC_STATUS GDS_CREATE_DATABASE(ISC_STATU
 	const VdnResult vdn = verifyDatabaseName(expanded_name, user_status, is_alias);
 	if (!is_alias && vdn == VDN_FAIL)
 	{
-		trace_failed_attach(NULL, filename, options, true, false);
+		trace_failed_attach(NULL, filename, options, true, user_status);
 		return user_status[1];
 	}
 
